#summa-logo-wrap {
  display: inline-flex;
  align-items: center;
  /* overflow: hidden; */
}

#summa-logo-wrap svg {
  display: block;
  height: 40px;
  width: auto;
}

#summa-letter-u,
#summa-letter-m1,
#summa-letter-m2,
#summa-letter-a {
  transition:
    opacity 0.55s cubic-bezier(0.76, 0, 0.24, 1),
    transform 0.55s cubic-bezier(0.76, 0, 0.24, 1);
}

/* Salida: S → A */
#summa-letter-u {
  transition-delay: 0s;
}

#summa-letter-m1 {
  transition-delay: 0.05s;
}

#summa-letter-m2 {
  transition-delay: 0.10s;
}

#summa-letter-a {
  transition-delay: 0.15s;
}

/* Entrada: A → S */
#summa-logo-wrap:not(.collapsed) #summa-letter-a {
  transition-delay: 0s;
}

#summa-logo-wrap:not(.collapsed) #summa-letter-m2 {
  transition-delay: 0.05s;
}

#summa-logo-wrap:not(.collapsed) #summa-letter-m1 {
  transition-delay: 0.10s;
}

#summa-logo-wrap:not(.collapsed) #summa-letter-u {
  transition-delay: 0.15s;
}

#summa-logo-wrap.collapsed #summa-letter-u,
#summa-logo-wrap.collapsed #summa-letter-m1,
#summa-logo-wrap.collapsed #summa-letter-m2,
#summa-logo-wrap.collapsed #summa-letter-a {
  opacity: 0;
  transform: translateX(-18px);
}



.bg-menu {
  .e-con-inner {
    padding: 20px;
    backdrop-filter: blur(36px);
    background: linear-gradient(180deg, #fffefa05 0%, #fffefa00 100%);
    z-index: 1;
    width: 100%;
    top: 20px;
    left: 0%;
    border: 1px solid #ffffff80;
    margin-top: 20px !important;
    padding: 20px !important;
    padding-left: 20px !important;
  }

  /* #summa-logo-wrap {
    svg {
      path {
        fill: #fff;
      }
    }
  } */
}


#summa-logo-wrap {
  position: relative;

  &::before {
    content: '';
    position: absolute;
    left: -10px;
    top: -10px;
    width: 60px;
    /* ajusta según el tamaño de tu S */
    height: 60px;
    background: #3c3534;
    border-radius: 0px;
    opacity: 0;
    transform: scale(0.85);
    transition:
      opacity 0.4s cubic-bezier(0.76, 0, 0.24, 1),
      transform 0.4s cubic-bezier(0.76, 0, 0.24, 1);
    transition-delay: 0.2s;
    /* espera a que "umma" haya salido */
    z-index: -1;
  }

  &.collapsed {

    &::before {
      opacity: 1;
      transform: scale(1);
    }

    #summa-letter-s {
      fill: var(--c-amarillo) !important;
      position: relative;
      z-index: 10;

    }
  }
}




/* cambio color logo en la home home */
.home {
  header {
    position: relative;
    z-index: 9999;
  }

  .bg-menu {
    backdrop-filter: blur(36px);
    background: linear-gradient(180deg, #fffefa05 0%, #fffefa00 100%);
    z-index: 1;
    width: 100%;
    top: 0;
    left: 0%;
    mask: linear-gradient(#000000e6 0%, #000 80%, #00000000 100%);

    .e-con-inner {
      border: none;
      backdrop-filter: none;
      background: none;
      margin-top: 0px !important;
      padding: 20px !important;
      padding-left: 0px !important;
    }
  }

  #summa-logo-wrap {
    svg {
      path {
        fill: #fff;
      }
    }
  }
}

.page-id-874 {
  #summa-logo-wrap {
    svg {
      path {
        fill: #fff;
      }
    }
  }
}

.menu-burguer {
  transition: var(--transition-p);
  transform: scale(1);

  &:hover {
    transition: var(--transition-p);
    transform: scale(0.9);
  }

}

.menu-desplegable {
  .elementor-nav-menu {
    .menu-item {
      .elementor-item {
        font-family: var(--tipo-titulos);
        letter-spacing: var(--letter-spacing-tit);
        font-size: var(--tit-size);
      }
    }
  }
}